// Code generated by protoc-gen-go. DO NOT EDIT.
// source: token_query.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type TokensRequest struct {
	Page                 int64    `protobuf:"varint,1,opt,name=page,proto3" json:"page,omitempty"`
	Limit                int64    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TokensRequest) Reset()         { *m = TokensRequest{} }
func (m *TokensRequest) String() string { return proto.CompactTextString(m) }
func (*TokensRequest) ProtoMessage()    {}
func (*TokensRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_1ba1ea7e37ee3b83, []int{0}
}

func (m *TokensRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TokensRequest.Unmarshal(m, b)
}
func (m *TokensRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TokensRequest.Marshal(b, m, deterministic)
}
func (m *TokensRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TokensRequest.Merge(m, src)
}
func (m *TokensRequest) XXX_Size() int {
	return xxx_messageInfo_TokensRequest.Size(m)
}
func (m *TokensRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TokensRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TokensRequest proto.InternalMessageInfo

func (m *TokensRequest) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *TokensRequest) GetLimit() int64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type TokensResponse struct {
	Status               string           `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string           `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	Tokens               []*TokenResponse `protobuf:"bytes,3,rep,name=Tokens,proto3" json:"Tokens,omitempty"`
	ChainID              string           `protobuf:"bytes,4,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	HashBlockchain       string           `protobuf:"bytes,5,opt,name=HashBlockchain,proto3" json:"HashBlockchain,omitempty"`
	Next                 int64            `protobuf:"varint,6,opt,name=Next,proto3" json:"Next,omitempty"`
	Page                 int64            `protobuf:"varint,7,opt,name=Page,proto3" json:"Page,omitempty"`
	Prev                 int64            `protobuf:"varint,8,opt,name=Prev,proto3" json:"Prev,omitempty"`
	Total                int64            `protobuf:"varint,9,opt,name=Total,proto3" json:"Total,omitempty"`
	PerPage              int64            `protobuf:"varint,10,opt,name=PerPage,proto3" json:"PerPage,omitempty"`
	TotalPage            int64            `protobuf:"varint,11,opt,name=TotalPage,proto3" json:"TotalPage,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *TokensResponse) Reset()         { *m = TokensResponse{} }
func (m *TokensResponse) String() string { return proto.CompactTextString(m) }
func (*TokensResponse) ProtoMessage()    {}
func (*TokensResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_1ba1ea7e37ee3b83, []int{1}
}

func (m *TokensResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TokensResponse.Unmarshal(m, b)
}
func (m *TokensResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TokensResponse.Marshal(b, m, deterministic)
}
func (m *TokensResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TokensResponse.Merge(m, src)
}
func (m *TokensResponse) XXX_Size() int {
	return xxx_messageInfo_TokensResponse.Size(m)
}
func (m *TokensResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_TokensResponse.DiscardUnknown(m)
}

var xxx_messageInfo_TokensResponse proto.InternalMessageInfo

func (m *TokensResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *TokensResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *TokensResponse) GetTokens() []*TokenResponse {
	if m != nil {
		return m.Tokens
	}
	return nil
}

func (m *TokensResponse) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *TokensResponse) GetHashBlockchain() string {
	if m != nil {
		return m.HashBlockchain
	}
	return ""
}

func (m *TokensResponse) GetNext() int64 {
	if m != nil {
		return m.Next
	}
	return 0
}

func (m *TokensResponse) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *TokensResponse) GetPrev() int64 {
	if m != nil {
		return m.Prev
	}
	return 0
}

func (m *TokensResponse) GetTotal() int64 {
	if m != nil {
		return m.Total
	}
	return 0
}

func (m *TokensResponse) GetPerPage() int64 {
	if m != nil {
		return m.PerPage
	}
	return 0
}

func (m *TokensResponse) GetTotalPage() int64 {
	if m != nil {
		return m.TotalPage
	}
	return 0
}

func init() {
	proto.RegisterType((*TokensRequest)(nil), "TokensRequest")
	proto.RegisterType((*TokensResponse)(nil), "TokensResponse")
}

func init() {
	proto.RegisterFile("token_query.proto", fileDescriptor_1ba1ea7e37ee3b83)
}

var fileDescriptor_1ba1ea7e37ee3b83 = []byte{
	// 307 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x91, 0x41, 0x4b, 0xc3, 0x40,
	0x10, 0x85, 0x69, 0xda, 0x26, 0x66, 0x82, 0x11, 0x57, 0x91, 0xa5, 0x78, 0x28, 0x3d, 0x94, 0xe2,
	0x21, 0x87, 0x7a, 0xea, 0xd1, 0x2a, 0x62, 0x41, 0xa5, 0xc6, 0x9e, 0xbc, 0xc8, 0x36, 0x5d, 0x6c,
	0x68, 0x92, 0x4d, 0xb3, 0x9b, 0xa2, 0x7f, 0xcc, 0xdf, 0x27, 0x33, 0x9b, 0x20, 0x7a, 0x9b, 0xf7,
	0xcd, 0xee, 0x63, 0xde, 0x0c, 0x9c, 0x1a, 0xb5, 0x93, 0xc5, 0xfb, 0xbe, 0x96, 0xd5, 0x57, 0x54,
	0x56, 0xca, 0xa8, 0xc1, 0x99, 0x45, 0x89, 0xca, 0x73, 0x51, 0x6c, 0x2c, 0x1c, 0xcd, 0xe0, 0x78,
	0x85, 0x58, 0xc7, 0x72, 0x5f, 0x4b, 0x6d, 0x18, 0x83, 0x5e, 0x29, 0x3e, 0x24, 0xef, 0x0c, 0x3b,
	0x93, 0x6e, 0x4c, 0x35, 0x3b, 0x87, 0x7e, 0x96, 0xe6, 0xa9, 0xe1, 0x0e, 0x41, 0x2b, 0x46, 0xdf,
	0x0e, 0x84, 0xed, 0x5f, 0x5d, 0xaa, 0x42, 0x4b, 0x76, 0x01, 0xee, 0xab, 0x11, 0xa6, 0xd6, 0xf4,
	0xdd, 0x8f, 0x1b, 0xc5, 0x38, 0x78, 0x4f, 0x52, 0x6b, 0xf4, 0x75, 0xa8, 0xd1, 0x4a, 0x36, 0x06,
	0xd7, 0x7a, 0xf0, 0xee, 0xb0, 0x3b, 0x09, 0xa6, 0x61, 0x44, 0xb2, 0x75, 0x8c, 0x9b, 0x2e, 0x3a,
	0xdc, 0x6e, 0x45, 0x5a, 0x2c, 0xee, 0x78, 0xcf, 0x3a, 0x34, 0x92, 0x8d, 0x21, 0x7c, 0x10, 0x7a,
	0x3b, 0xcf, 0x54, 0xb2, 0x4b, 0x90, 0xf1, 0x3e, 0x3d, 0xf8, 0x47, 0x31, 0xd8, 0xb3, 0xfc, 0x34,
	0xdc, 0xb5, 0xc1, 0xb0, 0x46, 0xb6, 0xc4, 0xa1, 0x3c, 0xcb, 0xb0, 0x26, 0x56, 0xc9, 0x03, 0x3f,
	0x6a, 0x58, 0x25, 0x0f, 0xb8, 0x80, 0x95, 0x32, 0x22, 0xe3, 0xbe, 0x5d, 0x00, 0x09, 0x9c, 0x69,
	0x29, 0x2b, 0x32, 0x00, 0xe2, 0xad, 0x64, 0x97, 0xe0, 0xd3, 0x13, 0xea, 0x05, 0xd4, 0xfb, 0x05,
	0xd3, 0x19, 0x04, 0x0b, 0x8a, 0xf5, 0x82, 0xd7, 0x61, 0x57, 0xe0, 0xdd, 0xa7, 0xc5, 0xe6, 0xe6,
	0x31, 0x63, 0x4d, 0xfa, 0xf6, 0x18, 0x83, 0x93, 0xe8, 0xef, 0x82, 0xe7, 0xbd, 0x37, 0xa7, 0x5c,
	0xaf, 0x5d, 0xba, 0xdd, 0xf5, 0x4f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xd5, 0xa2, 0x20, 0xad, 0xe5,
	0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ITokenQueryClient is the client API for ITokenQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ITokenQueryClient interface {
	FindALl(ctx context.Context, in *TokensRequest, opts ...grpc.CallOption) (*TokensResponse, error)
}

type iTokenQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewITokenQueryClient(cc grpc.ClientConnInterface) ITokenQueryClient {
	return &iTokenQueryClient{cc}
}

func (c *iTokenQueryClient) FindALl(ctx context.Context, in *TokensRequest, opts ...grpc.CallOption) (*TokensResponse, error) {
	out := new(TokensResponse)
	err := c.cc.Invoke(ctx, "/ITokenQuery/FindALl", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ITokenQueryServer is the server API for ITokenQuery service.
type ITokenQueryServer interface {
	FindALl(context.Context, *TokensRequest) (*TokensResponse, error)
}

// UnimplementedITokenQueryServer can be embedded to have forward compatible implementations.
type UnimplementedITokenQueryServer struct {
}

func (*UnimplementedITokenQueryServer) FindALl(ctx context.Context, req *TokensRequest) (*TokensResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindALl not implemented")
}

func RegisterITokenQueryServer(s *grpc.Server, srv ITokenQueryServer) {
	s.RegisterService(&_ITokenQuery_serviceDesc, srv)
}

func _ITokenQuery_FindALl_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TokensRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ITokenQueryServer).FindALl(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ITokenQuery/FindALl",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ITokenQueryServer).FindALl(ctx, req.(*TokensRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ITokenQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ITokenQuery",
	HandlerType: (*ITokenQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FindALl",
			Handler:    _ITokenQuery_FindALl_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "token_query.proto",
}
